package com.jiayue.ipfcst.common.data.entity;


import com.jiayue.ipfcst.common.data.abst.equipmentstatus.AbstractEquipmentStatusData;
import com.jiayue.ipfcst.common.data.constant.enums.AbnormalCode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;
import org.hibernate.annotations.Type;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.validation.constraints.Digits;
import java.lang.reflect.Field;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

/**
 * 测风塔数据实体
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/2 9:28
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
@Slf4j
public class ReportWindTowerStatusData extends AbstractEquipmentStatusData {

    /**
     * 温度瞬时值（℃）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal t = new BigDecimal(-99);



    /**
     * 湿度瞬时值（%）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal rh = new BigDecimal(-99);




    /**
     * 气压瞬时值（KPa）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal pa = new BigDecimal(-99);



    /**
     * 10米风速瞬时值（m/s）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal ws10 = new BigDecimal(-99);



    /**
     * 10米风向瞬时值（°）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal wd10 = new BigDecimal(-99);



    /**
     * 30米风速瞬时值（m/s）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal ws30 = new BigDecimal(-99);


    /**
     * 30米风向瞬时值（°）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal wd30 = new BigDecimal(-99);



    /**
     * 50米风速瞬时值（m/s）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal ws50 = new BigDecimal(-99);



    /**
     * 50米风向瞬时值（°）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal wd50 = new BigDecimal(-99);



    /**
     * 60米风速瞬时值（m/s）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal ws60 = new BigDecimal(-99);



    /**
     * 60米风向瞬时值（°）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal wd60 = new BigDecimal(-99);



    /**
     * 70米风速瞬时值（m/s）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal ws70 = new BigDecimal(-99);


    /**
     * 70米风向瞬时值（°）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal wd70 = new BigDecimal(-99);



    /**
     * 80米风速瞬时值（m/s）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal ws80 = new BigDecimal(-99);


    /**
     * 80米风向瞬时值（°）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal wd80 = new BigDecimal(-99);


    /**
     * 90米风速瞬时值（m/s）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal ws90 = new BigDecimal(-99);



    /**
     * 90米风向瞬时值（°）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal wd90 = new BigDecimal(-99);


    /**
     * 100米风速瞬时值（m/s）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal ws100 = new BigDecimal(-99);


    /**
     * 100米风向瞬时值（°）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal wd100 = new BigDecimal(-99);



    /**
     * 110米风速瞬时值（m/s）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal ws110 = new BigDecimal(-99);



    /**
     * 110米风向瞬时值（°）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal wd110 = new BigDecimal(-99);



    /**
     * 120米风速瞬时值（m/s）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal ws120 = new BigDecimal(-99);



    /**
     * 120米风向瞬时值（°）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal wd120 = new BigDecimal(-99);



    /**
     * 风机轮毂高度风速瞬时值
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal wsHubHeight = new BigDecimal(-99);


    /**
     * 风机轮毂高度风向瞬时值（°）
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal wdHubHeight = new BigDecimal(-99);



    /**
     * 空气密度  Kg/m³
     */
    @Digits(integer = 10, fraction = 2)
    @Column
    private BigDecimal airDensity = new BigDecimal(-99);


}
